summaryrefslogtreecommitdiff
path: root/src/compiler
diff options
context:
space:
mode:
authorEmil Velikov <emil.velikov@collabora.com>2017-02-28 12:10:41 +0000
committerEmil Velikov <emil.l.velikov@gmail.com>2017-03-28 15:31:24 +0100
commit4ea4fbf93a5a2229af3d48dc7fb23a43c90adb7f (patch)
tree785ac6a2eaf1121c5f55615c8af244571bed5631 /src/compiler
parent182d48ceb9e58eb53b52436b2cd6010de072d29b (diff)
glcpp/tests/glcpp-test: error out if we cannot find any tests
Signed-off-by: Emil Velikov <emil.velikov@collabora.com> Acked-by: Kenneth Graunke <kenneth@whitecape.org> Reviewed-by: Eric Engestrom <eric.engestrom@imgtec.com>
Diffstat (limited to 'src/compiler')
-rwxr-xr-xsrc/compiler/glsl/glcpp/tests/glcpp-test.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/src/compiler/glsl/glcpp/tests/glcpp-test.sh b/src/compiler/glsl/glcpp/tests/glcpp-test.sh
index 474e8ef530..d98c408f73 100755
--- a/src/compiler/glsl/glcpp/tests/glcpp-test.sh
+++ b/src/compiler/glsl/glcpp/tests/glcpp-test.sh
@@ -85,6 +85,11 @@ for test in $testdir/*.c; do
fi
done
+if [ $total -eq 0 ]; then
+ echo "Could not find any tests."
+ exit 1
+fi
+
echo ""
echo "$pass/$total tests returned correct results"
echo ""